#!/bin/bash

if [ -d unpack ]; then
  sudo rm -rf unpack
fi

version="3.0.4"

mkdir -p unpack/DEBIAN

cp debian/control unpack/DEBIAN/
cp -r usr unpack/

mkdir -p unpack/usr/share/icons/hicolor/128x128/apps
mkdir -p unpack/usr/share/icons/hicolor/256x256/apps

cp icons/128x128.png unpack/usr/share/icons/hicolor/128x128/apps/dooke.png
cp icons/256x256.png unpack/usr/share/icons/hicolor/256x256/apps/dooke.png

cd unpack
find usr -type f | xargs md5sum > DEBIAN/md5sums

_size=$(du -d 0 usr | cut -f1)

sed -i "s/{{size}}/${_size}/" DEBIAN/control
sed -i "s/{{version}}/${version}/" DEBIAN/control

cd ..
sudo chown -R root:root unpack/
dpkg-deb -b unpack/ "dooke-${version}.deb"

sudo rm -rf unpack